<?php
//header("Content-Type: text/html; charset=ISSO-8859-1", true);
include_once("include/functions.php");

$obLinhas = new Linhas();
$obPermissoes = new Permissoes();

$action = (isset($_GET['action'])) ? $_GET['action'] : '';
$getStatus = (isset($_GET['status'])) ? $_GET['status'] : 'ativos';
$tabela = 'linhas';
head('Linhas | ', 'linhas', $getStatus, 'linhas');
if ($action == 'read') {
	if (!permissao($_SESSION[PREFIX.'USUARIO_GRUPO'], $obPermissoes->getPermissaoId($tabela), $action)) {
		echo getBoxErro();
	}
	exit;
} else if ($action == 'delete') {
	if (!permissao($_SESSION[PREFIX.'USUARIO_GRUPO'], $obPermissoes->getPermissaoId($tabela), $action)) {
		echo getBoxErro();
	} else {
		$linha = $obLinhas->loadByID($_GET['ID']);
		$linha->status = 0;
		if ($linha->updateDB()) {
			echo "<script>window.location = '".PATH_WWW_ADMIN."/linhas/';</script>";
		} else {
			echo '<script>alert("Erro ao remover registro, tente mais tarde.");</script>';
		}	
	}
} else {
	$linhas = $obLinhas->retrieveAll('', 'nome', '', false);
	cabecalho();
	?>
	
	<div style="display: table; width: 100%">
		<div class="barra-titulo">Linhas</div>
		<div style="float: right;">
		</div>
	</div>
	<a href="<?php echo PATH_WWW_ADMIN; ?>/<?php echo $tabela; ?>.php?action=create">&nbsp; Adicionar registro | </a>
	<a href="<?php echo PATH_WWW_ADMIN; ?>/<?php echo $tabela; ?>.php">&nbsp; Listar registro(s)</a>
	<br /><br />
	
	<?php
	if ($action == 'create') {
		if (!permissao($_SESSION[PREFIX.'USUARIO_GRUPO'], $obPermissoes->getPermissaoId($tabela), $action)) {
			echo getBoxErro();
		}
	?>
		<form action="" method="post" id="form_insert" class="formCadastro">
		<input type="hidden" name="table" value="<?php echo $tabela; ?>" />
		<input type="hidden" name="pagina" value="<?php echo $tabela; ?>.php" />
		<fieldset>
			<legend> Dados Cadastrais </legend>
			<div style="display: table;">
				<div class="view-item">
					<span>Nome *</span><br />
					<input type="text" name="nome" value="" size="30" />
				</div>
				<div class="view-item">
					<span>Preo *</span><br />
					<input type="text" name="preco" class="money" value="" size="5" />
				</div>
			</div>
		</fieldset>
		<div style="float: left; clear: left; width: 1020px; margin: 10px 0px; display: table;">
			<span id="msgBox" style="display:block; font-size: 12px; width: 1000px;"></span>
		</div>
		<div style="float: left;clear: left; margin-bottom: 10px;">
		<input type="submit" value="Cadastrar" style="float: left; clear: left;" />
		</div>
		</form>
	<?php
	} else if ($action == 'update') {
		$linha = $obLinhas->loadByID($_GET['ID']);
		if (!permissao($_SESSION[PREFIX.'USUARIO_GRUPO'], $obPermissoes->getPermissaoId($tabela), $action)) {
			echo getBoxErro();
		}
	?>
		<form action="" method="post" id="form_update" class="formAtualizaCliente">
		<input type="hidden" name="id" value="<?php echo $linha->id; ?>">
		<input type="hidden" name="table" value="<?php echo $tabela; ?>">
		<input type="hidden" name="pagina" value="<?php echo $tabela; ?>.php">
		<fieldset>
			<legend> Dados Cadastrais </legend>
			<div style="display: table;">
				<div class="view-item">
					<span>Nome *</span><br />
					<input type="text" name="nome" value="<?php echo $linha->nome; ?>" size="30" />
				</div>
				<div class="view-item">
					<span>Preo *</span><br />
					<input type="text" name="preco" class="money" value="<?php echo money($linha->preco); ?>" size="5" />
				</div>
				<div class="view-item">
					<span>Status</span><br />
					<select name="status">
						<option value="1" <?php if ($linha->status == 1) echo 'selected="selected"'; ?>>Ativo &nbsp;&nbsp;</option>
						<option value="0" <?php if ($linha->status == 0) echo 'selected="selected"'; ?>>Inativo &nbsp;&nbsp;</option>
					</select>
				</div>
			</div>
		</fieldset>
		
		<div style="float: left; clear: left; width: 1020px; margin: 10px 0px; display: table;">
			<span id="msgBox" style="display:block; font-size: 12px; width: 1000px;"></span>
		</div>
		<div style="float: left;clear: left; margin-bottom: 10px;">
		<input type="submit" value="Atualizar" style="float: left; clear: left;" />
		</div>
		</form>
	<?php
	} else { 
	?>
		<table cellpadding="1" cellspacing="1" border="0" bgcolor="#CCCCCC" class="display" id="registros">
		<thead>
			<tr>
				<th>NOME</th>
				<th>PREO</th>
				<th width="80"></th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td colspan="5" class="dataTables_empty">Carregando informa&ccedil;&otilde;es...</td>
			</tr>
		</tbody>
		</table>
	
	<?php
	}
	rodape();
}
foot();
?>