<?php
header("Content-Type: text/html; charset=US-ASCII", true);
include_once("include/functions.php");
$tiposPedido = array('Pedido Recebido', 'Aguardando Pagamento', 'Pago e Enviado para Produ&ccedil;&atilde;o', 'Entregue na Transportadora', 'Cancelado');

$obCores = new Cores();
$obPedidos = new Pedidos();
$obProdutos = new Produtos();
$obClientes = new Clientes();
$obPermissoes = new Permissoes();
$obPedidosItens = new Pedidos_itens();

$action = (isset($_GET['action'])) ? $_GET['action'] : '';
$funcao = (isset($_GET['funcao'])) ? $_GET['funcao'] : '';
$getStatus = (isset($_GET['status'])) ? $_GET['status'] : 'ativos';
$tabela = 'pedidos';
head('Pedidos | ', 'pedidos', $getStatus, 'pedidos');
if ($action == 'read') {
    if (!permissao($_SESSION[PREFIX.'USUARIO_GRUPO'], $obPermissoes->getPermissaoId($tabela), $action)) {
        echo getBoxErro();
    }
    $pedido = $obPedidos->loadById($_GET['ID']);
    $cliente = $obClientes->loadByID($pedido->cliente_id);
    ?>
    <div style="margin: 10px;">
        <?php
        if ($pedido) {
            getSacola($pedido->id, false, false, '98%');
        } else {
            echo 'Registro invlido!<br />Se for o caso contate o suporte.';
        }
        ?>
        <div class="view-item" style="width: 33.3333%; margin: 10px 0; background: white; color: black; text-align: center;">
            <span>Tem distribui&ccedil;&atilde;o?</span><br />
            <input name="distribuicao" type="checkbox" value="1" <?php
            if ($cliente->distribuicao == 1) {
                echo 'checked';
            }
            ?> style="margin-left: 10px;"></input>
        </div>
        <div class="view-item" style="width: 33.3333%; margin: 10px 0; background: white; color: black; text-align: center;">
            <span>Tem etiqueta unit&aacute;ria?</span><br />
            <input name="etiqueta_u" type="checkbox" value="1" <?php
            if ($cliente->etiqueta_u == 1) {
                echo 'checked';
            }
            ?> style="margin-left: 10px;"></input>
        </div>
        <div class="view-item" style="width: 33.3333%; margin: 10px 0; background: white; color: black; text-align: center;">
            <span>Tem etiqueta coletiva?</span><br />
            <input name="etiqueta_c" type="checkbox" value="1" <?php
            if ($cliente->etiqueta_c == 1) {
                echo 'checked';
            }
            ?> style="margin-left: 10px;"></input>
        </div>
    </div>
    <?php
} else if ($action == 'delete') {
    if (!permissao($_SESSION[PREFIX.'USUARIO_GRUPO'], $obPermissoes->getPermissaoId($tabela), $action)) {
        echo getBoxErro();
    } else {
        $pedido = $obPedidos->loadByID($_GET['ID']);
        $pedido->status = 2;
        if ($pedido->updateDB()) {
            echo "<script>alert('Pedido cancelado!'); window.location = '".PATH_WWW."/pedidos/';</script>";
        } else {
            echo '<script>alert("Erro ao remover registro, tente mais tarde.");</script>';
        }
    }
} else if ($action == 'deleteItem') {
    if (!permissao($_SESSION[PREFIX.'USUARIO_GRUPO'], $obPermissoes->getPermissaoId($tabela), 'delete')) {
        echo getBoxErro();
    } else {
        $pedidoItem = $obPedidosItens->loadByID($_GET['ID']);
        if ($pedidoItem->delDB()) {
            echo "<script>window.location = '".PATH_WWW."/pedidos/update/{$_GET['pedido_id']}'</script>";
        } else {
            echo '<script>alert("Erro ao remover registro, tente mais tarde.");</script>';
        }
    }
} else {
    $pedidos = $obPedidos->retrieveAll('', 'data DESC', '', false);
    cabecalho();
    ?>

    <div style="display: table; width: 100%">
        <div class="barra-titulo">Pedidos</div>
        <div style="float: right;">
        </div>
    </div>
    <!-- 
    <h2 style="margin-bottom: 5px; text-transform: capitalize;">
            <a href="<?php echo PATH_WWW; ?>/clientes/ativos" style="color: #FFF;">Ativos</a> | 
            <a href="<?php echo PATH_WWW; ?>/clientes/inativos" style="color: #FFF;">Inativos</a>
    </h2>
    -->
    <a href="<?php echo PATH_WWW_ADMIN; ?>/pedidos.php">&nbsp; Listar registro(s)</a>
    <br /><br />

    <?php
    if ($action == 'create') {
        if (!permissao($_SESSION[PREFIX.'USUARIO_GRUPO'], $obPermissoes->getPermissaoId($tabela), $action)) {
            echo getBoxErro();
        }
        ?>
    <form action="" method="post" id="form_insert">
  <input type="hidden" name="table" value="<?php echo $tabela; ?>" />
            <input type="hidden" name="pagina" value="<?php echo $tabela; ?>" />
            <input type="hidden" name="data" value="<?php echo date('d-m-Y H:i:s'); ?>" >
            <fieldset>
                <legend> Dados Cadastrais </legend>
                <div style="display: table;">
                    <div class="view-item">
                        <span>Razo social</span><br />
                        <select name="cliente_id">
                            <?php
                            $clientes = $obClientes->retrieveAll('', 'nome');
                            foreach ($clientes as $cliente):
                                ?>
                                <option value="<?php echo $cliente->id; ?>"><?php echo $cliente->nome; ?></option>
                                <?php
                            endforeach;
                            ?>
                        </select>
                    </div>
                </div>
            </fieldset>
            <div style="float: left; clear: left; width: 1020px; margin: 10px 0px; display: table;">
                <span id="msgBox" style="display:block; font-size: 12px; width: 1000px;"></span>
            </div>
            <div style="float: left;clear: left; margin-bottom: 10px;">
                <input type="submit" value="Fazer pedido" style="float: left; clear: left;" />
            </div>
        </form>
        <?php
    } else if ($action == 'update') {
        $pedido = $obPedidos->loadByID($_GET['ID']);
        $cliente = $obClientes->loadByID($pedido->cliente_id);
        if (!permissao($_SESSION[PREFIX.'USUARIO_GRUPO'], $obPermissoes->getPermissaoId($tabela), $action)) {
            echo getBoxErro();
        }
        ?>
        <form action="" method="post" id="form_update" class="formAtualizaCliente">
            <input type="hidden" name="id" value="<?php echo $pedido->id; ?>">
            <input type="hidden" name="table" value="<?php echo $tabela; ?>">
            <input type="hidden" name="pagina" value="<?php echo $tabela; ?>.php">
            <fieldset>
                <legend> Dados Cadastrais </legend>
                <div style="display: table;">
                    <div class="view-item">
                        <span>N&uacute;mero</span><br />
                        <b><?php echo str_pad($pedido->id, 6, 0, STR_PAD_LEFT); ?></b>
                    </div>
                    <div class="view-item">
                        <span>Data</span><br />
                        <b><?php echo $pedido->data; ?></b>
                    </div>
                    <div class="view-item">
                        <span>Cliente</span><br />
                        <b><?php echo $cliente->nome; ?></b>
                        <legend> Endere&ccedil;o</legend>
                <div style="display: table;">
                    <div class="view-item">
                        <span>Endere&ccedil;o</span><br />
                        <b><?php echo $cliente->endereco; ?></b>
                  </div>
                    <div class="view-item">
                        <span>Bairro</span><br />
                        <b><?php echo $cliente->bairro; ?></b>
                    </div>
                    <div class="view-item">
                        <span>Cidade</span><br />
                        <b><?php echo $cliente->cidade; ?></b>
                    </div>
                    <div class="view-item">
                        <span>UF</span><br />
                        <b><?php echo $cliente->uf; ?></b>
                    </div>
                    <div class="view-item">
                        <span>CEP</span><br />
                        <b><?php echo $cliente->cep; ?></b>
                    </div>
                </div>
                    </div>
                    <legend> Dados Cadastrais </legend>
                <div style="display: table;">
                    <div class="view-item">
                        <span>CPF/CNPJ</span><br />
                        <b><?php echo $cliente->CPF_CNPJ; ?></b>
                    </div>
                    <div class="view-item">
                        <span>RG / Inc. Estadual</span><br />
                        <b><?php echo $cliente->RG_INSCRICAO; ?></b>
                    </div>
                    <div class="view-item">
                        <span>Nome/Raz&atilde;o Social</span><br />
                        <b><?php echo $cliente->nome; ?></b>
                    </div>
                    <?php
                    if ($cliente->id_pai <> null) {
                        ?>
                        <div class="view-item">
                            <span>ID Pai</span><br />
                            <b><?php echo $cliente->id_pai; ?></b>
                        </div>
                        <?php
                        $clientePai = $obClientes->loadById($cliente->id_pai);
                        ?>
                        <div class="view-item">
                            <span>Nome Pai</span><br />
                            <b><?php echo $clientePai->nome; ?></b>
                        </div>
                        <?php
                    }
                    ?>
                </div>
                <div style="display: table;">
                    <div class="view-item">
                        <span>Fone</span><br />
                        <b><?php echo $cliente->telefone; ?></b>
                    </div>
                    <div class="view-item">
                        <span>E-mail de Acesso</span><br />
                        <b style="text-transform: lowercase;"><?php echo $cliente->email; ?></b>
                    </div>
                </div>
<div class="view-item">
                        <span>Status</span><br />
                        <select name="situacao">
                            <?php foreach ($tiposPedido as $situacao): ?>
                                <option value="<?php echo $situacao; ?>" <?php echo ($pedido->situacao == $situacao) ? 'selected="selected"' : ''; ?>><?php echo $situacao; ?></option>
                            <?php endforeach; ?>
                        </select>
             </div>
                </div>
            </fieldset>
            <div style="float: left; clear: left; width: 1020px; margin: 10px 0px; display: table;">
                <span id="msgBox" style="display:block; font-size: 12px; width: 1000px;"></span>
            </div>
            <div style="float: left;clear: left; margin-bottom: 10px;">
                <input type="submit" value="Atualizar" style="float: left; clear: left;" />
            </div>
        </form>

        <?php
        // PRODUTO SELECIONADO
        ?>
        <div style="margin: 10px 0; border-bottom: 1px solid #999; display: table; width: 100%; padding: 0 0 10px 0;">
            <?php echo getSacola($pedido->id, false, false, '970px'); ?>
        </div>
        <?php
    } else {
        ?>
        <table cellpadding="1" cellspacing="1" border="0" bgcolor="#CCCCCC" class="display" id="registros">
            <thead>
                <tr>
                    <th>DATA</th>
                    <th>N&Uacute;MERO</th>
                    <th>CLIENTE</th>
                    <th>EMAIL</th>
                    <th>STATUS</th>
                    <th>Pares</th>
                    <th>Valor</th>
                    <!--th width="80"></th-->
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td colspan="5" class="dataTables_empty">Carregando informa&ccedil;&otilde;es...</td>
                </tr>
            </tbody>
        </table>

        <?php
    }
    rodape();
}
foot();
?>