<?php
require_once 'include/functions.php';
cabecalho();
$obProdutos = new Produtos();
$obClientes = new Clientes();
$categoria = (isset($_GET['categoria'])) ? $_GET['categoria'] : '';
?>
<div class="mainContent">
	<div class="listProduct">
		<!-- class="listProduct list-empty" -->
		<ul>
			<li class="prod-line four-prods">
				<h2 class="line-title main-bg">Produtos</h2>
				<ul>
				<?php
				$AND = (isset($_GET['q'])) ? " AND produtos.referencia like '%{$_GET['q']}%' " : '';
			    $produtos = $obProdutos->retrieveByQuery("
			    	SELECT produtos.*, cores.imagem
			    	FROM cores, produtos, categorias
			    	WHERE produtos.id = cores.produto_id
			    		AND produtos.statusProduto = 1
			    		AND produtos.categoria_id = categorias.id
			    		AND categorias.status = 1
						{$AND}
			    	GROUP BY cores.produto_id
			    	ORDER BY produtos.id DESC
			    ", false); 
			    if ($produtos) {
			    	foreach ($produtos as $produto):
			    	?>
			    		<li id="product-<?php echo $produto->id; ?>" class="prod-item" style="height: 450px;">
                                <div class="prod-wrapper">
                                    <div class="prod-image" style="height:265px;
									
									<?php $entrega = $produto->emestoque2;
								 
								 	if ($entrega == 0) {
									 	echo "background-image:url(img/bg-estoque.gif); background-repeat:no-repeat; background-position:bottom;";
								 	}
										else {
											echo "";
										}
									?>">
                                        <a href="<?php echo PATH_WWW; ?>/produto.php?id=<?php echo $produto->id; ?>" title="<?php echo $produto->referencia; ?>" class="prod-overlay">
                                            <img src="<?php echo PATH_WWW_GALERIAS."/{$produto->id}/200x200/{$produto->imagem}"; ?>" alt="Mais Detalhes" border="0" />
                                        </a>
                                    </div>
                                    <div class="prod-info">
                                        <h3 class="color2" style="text-align:center;">Varia&ccedil;&atilde;o: <?php echo $produto->referencia; ?></h3>
                                        <div class="price" style="text-align:center; width:100%; height:auto; margin-top:0x;">
                                            <strong class="buy-price color1" style="font-size:26px;">
                                        <!-- ORIGINAL R$ <?php // echo (logado()) ? money($produto->preco) : '<a href="entrar.php">Ver preo</a>';?><br / -->
                                        <?php echo (logado()) ? '' : '<a href="entrar.php">Ver preo</a>';?>
                                                <?php
                                                if (logado()):
                                                    $cliente = $obClientes->loadByID($_SESSION[PREFIX.'CLIENTE_ID']);
                                                    $uf = $cliente->uf;
                                                    if ($produto->$uf != 0):
                                                        ?>
<span style="font-weight:bold; font-size:14px; color:#484848; text-decoration:line-through;">De: R$<?php echo money($produto->$uf)*2; echo $precounitario; ?>,99</span><span style="font-weight:bold; font-size: 14px; color:#484848;">Por Apenas:</span>

<strong class="buy-price color1" style="font-size:26px; color:#f16063; margin-top:3px;"> R$ <?php echo money($produto->$uf); ?> <!-- span style="text-align:center; font-size:12px; color:#999; font-weight:normal;">Caixa com 12 pares R$ R$<?php // $somacaixa = ($produto->$uf * 12.00); echo number_format($somacaixa,2,",","."); ?></span -->
                                                        <?php
                                                    endif;
                                                endif;
                                                ?>
                                            </strong>
                                        </div>
                                        <div style="text-align:center; width:100%;"><a href="<?php echo PATH_WWW; ?>/produto.php?id=<?php echo $produto->id; ?>" title="Comprar" style="text-align:center;" alt="Comprar"><img src="img/btn-carrinho-comprar.gif" alt="Comprar" border="0" /></a></div>
                                    </div>
                                </div>
                            </li>
			    	<?php
			    	endforeach;
			    } else {
				?>
					<div class="alert alert-error">Nenhum produto cadastrado nessa categoria.</div>
				<?php
				}
			    ?>
				</ul>
			</li>
    		<!-- prod-line -->
    	</ul>
    </div>
    <!-- listProduct -->
</div>
    			
<?php
rodape(); 
?>