<?php
//header("Content-Type: text/html; charset=ISSO-8859-1", true);
include_once("include/functions.php");

$obUtil = new Util();
$obCores = new Cores();
$obPermissoes = new Permissoes();

$action = (isset($_GET['action'])) ? $_GET['action'] : '';
$getStatus = (isset($_GET['status'])) ? $_GET['status'] : 'ativos';
$tabela = 'cores';
head('Cores | ', 'cores', $getStatus, 'cores');
if ($action == 'read') {
	if (!permissao($_SESSION[PREFIX.'USUARIO_GRUPO'], $obPermissoes->getPermissaoId($tabela), $action)) {
		echo getBoxErro();
	}
	$obClientes = new Clientes();
	$cliente = $obClientes->loadById($_GET['ID']);
	?>
	<div style="margin: 10px;">
	<?php
	if ($cliente) {
	?>
		<fieldset>
			<legend> Dados Cadastrais </legend>
			<div style="display: table;">
				<div class="view-item">
					<span>CPF/CNPJ</span><br />
					<b><?php echo $cliente->cnpj; ?></b>
				</div>
				<div class="view-item">
					<span>Razo Social</span><br />
					<b><?php echo $cliente->nome; ?></b>
				</div>
			</div>
		</fieldset>
		<fieldset>
			<legend> Endereo</legend>
			<div style="display: table;">
				<div class="view-item">
					<span>Endereo</span><br />
					<b><?php echo $cliente->endereco; ?></b>
				</div>
				<div class="view-item">
					<span>N</span><br />
					<b><?php echo $cliente->numero; ?></b>
				</div>
				<div class="view-item">
					<span>Bairro</span><br />
					<b><?php echo $cliente->bairro; ?></b>
				</div>
				<div class="view-item">
					<span>Cidade</span><br />
					<b><?php echo $cliente->cidade; ?></b>
				</div>
				<div class="view-item">
					<span>UF</span><br />
					<b><?php echo $cliente->uf; ?></b>
				</div>
			</div>
		</fieldset>
		<fieldset>
			<legend> Contato </legend>
			<div style="display: table;">
				<div class="view-item">
					<span>Fone</span><br />
					<b><?php echo $cliente->telefone; ?></b>
				</div>
				<div class="view-item">
					<span>E-mail de Contato</span><br />
					<b style="text-transform: lowercase;"><?php echo $cliente->email; ?></b>
				</div>
			</div>
		</fieldset>
	<?php
	} else {
		echo 'Registro invlido!<br />Se for o caso contate o suporte.';
	}
	?>
	</div>
	<?php
} else if ($action == 'delete') {
	if (!permissao($_SESSION[PREFIX.'USUARIO_GRUPO'], $obPermissoes->getPermissaoId($tabela), $action)) {
		echo getBoxErro();
	} else {
		$cor = $obCores->loadByID($_GET['ID']);
		$cor->status = 0;
		if ($cor->updateDB()) {
			echo "<script>window.location = '".PATH_WWW."/cores/';</script>";
		} else {
			echo '<script>alert("Erro ao remover registro, tente mais tarde.");</script>';
		}	
	}
} else {
	$cores = $obCores->retrieveAll('status = 1', '', '', false);
	cabecalho();
	?>
	
	<div style="display: table; width: 100%">
		<div class="barra-titulo">Cores</div>
		<div style="float: right;">
		</div>
	</div>
	<a href="<?php echo PATH_WWW; ?>/<?php echo $tabela; ?>/create">&nbsp; Adicionar registro | </a>
	<a href="<?php echo PATH_WWW; ?>/<?php echo $tabela; ?>">&nbsp; Listar registro(s)</a>
	<br /><br />
	
	<?php
	if ($action == 'create') {
		if (!permissao($_SESSION[PREFIX.'USUARIO_GRUPO'], $obPermissoes->getPermissaoId($tabela), $action)) {
			echo getBoxErro();
		}
		if (isset($_POST['codigo'])) {
			$obCores->codigo = $_POST['codigo'];
			$obCores->nome = $_POST['nome'];
			if ($obCores->insertDB()) {
				$cor_id = mysql_insert_id();
				$destino = PATH_GALERIAS . '/cores/' . $cor_id . '/';
				$obUtil->createDir($destino);
				// Informaes do arquivo enviado
				$caminho = $destino;
				$extensoes = array('jpg', 'jpeg');
				$tamanhoMaximo = 10 * 1024 * 1024;
				$nomeArquivo = $cor_id.'.jpg';
				$tamanhoArquivo = $_FILES["arquivo"]["size"];
				$nomeTemporario = $_FILES["arquivo"]["tmp_name"];
				move_uploaded_file($nomeTemporario, ($caminho . $nomeArquivo));
				$obUtil->createImage($destino . $nomeArquivo, $caminho, $nomeArquivo, '40', 85, true, 1);
				?>
					<script type="text/javascript">
					window.location = '<?php echo PATH_WWW; ?>/cores';
					</script>
				<?php
			} else {
				?>
					<script type="text/javascript">
					$('#msgBox').text('Erro');
					</script>
			<?php
				}
			} else {
			?>
				<script type="text/javascript">
				$('#msgBox').text('Erro ao inserir registro.');
				</script>
	<?php
			}
	?>
		<form action="<?php echo $_SERVER['PHP_SELF']; ?>?action=create" method="post" enctype="multipart/form-data">
		<input type="hidden" name="table" value="<?php echo $tabela; ?>" />
		<input type="hidden" name="pagina" value="<?php echo $tabela; ?>" />
		<fieldset>
			<legend> Adicionar cor </legend>
			<div style="display: table;">
				<div class="view-item">
					<span>Cdigo *</span><br />
					<input type="text" name="codigo" value="" size="10" />
				</div>
				<div class="view-item">
					<span>Descrio *</span><br />
					<input type="text" name="nome" value="" size="50" />
				</div>
				<div class="view-item">
					<span>Imagem *</span><br />
					<input type="file" name="arquivo">
				</div>
			</div>
		</fieldset>
		<div style="float: left; clear: left; width: 1020px; margin: 10px 0px; display: table;">
			<span id="msgBox" style="display:block; font-size: 12px; width: 1000px;"></span>
		</div>
		<div style="float: left;clear: left; margin-bottom: 10px;">
		<input type="submit" value="Cadastrar" style="float: left; clear: left;" />
		</div>
		</form>
	<?php
	} else if ($action == 'update') {
		//pr($_FILES);
		$cor = $obCores->loadByID($_REQUEST['ID']);
		if (!permissao($_SESSION[PREFIX.'USUARIO_GRUPO'], $obPermissoes->getPermissaoId($tabela), $action)) {
			echo getBoxErro();
		}
		if (isset($_POST['codigo'])) {
			$cor->codigo = $_POST['codigo'];
			$cor->nome = $_POST['nome'];
			if ($cor->updateDB()) {
				if (!empty($_FILES['arquivo']['name'])) {
					$cor_id = $cor->id;
					$destino = PATH_GALERIAS . '/cores/' . $cor_id . '/';
					$obUtil->createDir($destino);
					// Informaes do arquivo enviado
					$caminho = $destino;
					$extensoes = array('jpg', 'jpeg');
					$tamanhoMaximo = 10 * 1024 * 1024;
					$nomeArquivo = $cor_id.'.jpg';
					$tamanhoArquivo = $_FILES["arquivo"]["size"];
					$nomeTemporario = $_FILES["arquivo"]["tmp_name"];
					move_uploaded_file($nomeTemporario, ($caminho . $nomeArquivo));
					$obUtil->createImage($destino . $nomeArquivo, $caminho, $nomeArquivo, '40', 85, true, 1);
				}
				?>
					<script type="text/javascript">
					window.location = '<?php echo PATH_WWW; ?>/cores';
					</script>
				<?php
			} else {
				?>
					<script type="text/javascript">
					$('#msgBox').text('Erro');
					</script>
			<?php
				}
			} else {
			?>
				<script type="text/javascript">
				$('#msgBox').text('Erro ao inserir registro.');
				</script>
	<?php
			}
	?>
		<form action="<?php echo $_SERVER['PHP_SELF'];?>?action=update" method="post" enctype="multipart/form-data">
		<input type="hidden" name="ID" value="<?php echo $cor->id; ?>">
		<input type="hidden" name="table" value="<?php echo $tabela; ?>">
		<input type="hidden" name="pagina" value="<?php echo $tabela; ?>">
		<fieldset>
			<legend> Adicionar cor </legend>
			<div style="display: table;">
				<div class="view-item">
					<span>Cdigo *</span><br />
					<input type="text" name="codigo" value="<?php echo $cor->codigo; ?>" size="10" />
				</div>
				<div class="view-item">
					<span>Descrio *</span><br />
					<input type="text" name="nome" value="<?php echo $cor->nome; ?>" size="50" />
				</div>
				<div class="view-item">
					<span>Imagem *</span><br />
					<input type="file" name="arquivo">
				</div>
			</div>
		</fieldset>
		<fieldset>
			<legend> Imagem </legend>
			<div style="display: table;">
				<div class="view-item">
				<?php
				$arquivo = PATH_GALERIAS . "/cores/{$cor->id}/{$cor->id}.jpg";
				if (file_exists($arquivo)) {
				?>
					<img src="<?php echo PATH_WWW . "/galerias/cores/{$cor->id}/{$cor->id}.jpg"; ?>" />
				<?php
				} else {
					echo 'Nenhuma imagem cadastrada.';
				} 
				?>
				</div>
			</div>
		</fieldset>
		<div style="float: left; clear: left; width: 1020px; margin: 10px 0px; display: table;">
			<span id="msgBox" style="display:block; font-size: 12px; width: 1000px;"></span>
		</div>
		<div style="float: left;clear: left; margin-bottom: 10px;">
		<input type="submit" value="Atualizar" style="float: left; clear: left;" />
		</div>
		</form>
	<?php
	} else { 
	?>
		<table cellpadding="1" cellspacing="1" border="0" bgcolor="#CCCCCC" class="display" id="registros">
		<thead>
			<tr>
				<th width="50">CDIGO</th>
				<th>DESCRIO</th>
				<th width="50"></th>
			</tr>
		</thead>
		<tbody>
			<?php
			if ($cores) { 
				foreach ($cores as $cor) {
			?>
			<tr>
				<td><?php echo $cor->codigo; ?></td>
				<td><?php echo $cor->nome; ?></td>
				<td>
				<?php
				$obPermissoes = new Permissoes();
				$permissoes = $obPermissoes->getPermissoes($obPermissoes->getPermissaoId($tabela), $_SESSION[PREFIX.'USUARIO_GRUPO']);
				$edit = ($permissoes['update']) ? '<a href="'.PATH_WWW.'/'.$tabela.'/update/'.$cor->id.'"><img src="'.PATH_WWW.'/img/icon_edit.png" style="margin-right: 5px;" alt="Editar" /></a>' : '<img src="'.PATH_WWW.'/img/icon_edit_off.png" style="margin-right: 5px;" alt="Editar" />';
				$del = ($permissoes['delete']) ? '<a href="'.PATH_WWW.'/'.$tabela.'/delete/'.$cor->id.'" class="confirm"><img src="'.PATH_WWW.'/img/icon_del.png" alt="Apagar" /></a>' : '<img src="'.PATH_WWW.'/img/icon_del_off.png" alt="Apagar" />';
				echo $edit.$del;
				?>
				</td>
			</tr>
			<?php
				}
			} 
			?>
		</tbody>
		</table>
	
	<?php
	}
	rodape();
}
foot();
?>