<?php
require_once 'include/functions.php';
$obCategorias = new Categorias();
$obProdutos = new Produtos();
$obClientes = new Clientes();
$obCores = new Cores();
$obGradesProdutos = new Grades_produtos();
$obGradesItens = new Grades_itens();
$obGrades = new Grades();
$produto = $obProdutos->retrieveByQuery("
			    	SELECT produtos.*, cores.imagem
			    	FROM cores, grades_itens, grades_produtos, produtos
			    	WHERE produtos.id = cores.produto_id
			    		AND produtos.emestoque = 1
						{$AND}
			    	GROUP BY cores.produto_id
			    	ORDER BY produtos.id DESC
			    ");
cabecalho();
if (!$produto) {
    echo '<div class="error">Produto não encontrado</div>';
} else {
    $gradesProdutos = $obGradesProdutos->retrieveAll("produto_id = {$produto->id} ", '', '', false);
    $cores = $obCores->retrieveAll(" produto_id = {$produto->id} ");
    ?>

<!-- .secondaryContent -->

<div class="mainContent">
  <div class="listProduct">
    <div style="display: table;">
      <h2>REF: <?php echo $produto->referencia; ?> - <?php echo $produto->descricao; ?></h2>
      <div style="float: left; width: 450px;">
        <div style="width: 450px; height: 500px; display: table; border-left: 1px solid #CCC;"> <img id="foto" src="<?php echo PATH_WWW_GALERIAS."/{$produto->id}/550x300/{$cores[0]->imagem}"; ?>" width="450" /> </div>
      </div>
      <div style="float: right; border: 1px solid #CCC; width: 410px; margin-left: 10px;">
        <form action="" id="addSacola" method="post">
          <input type="hidden" name="produto_id" id="produto_id" value="<?php echo $produto->id; ?>" />
          <input type="hidden" name="cor_id" id="cor_id" value="<?php echo $cores[0]->id; ?>" />
          <div style="margin: 10px;"> <b style="color: #BF3E23; font-size: 16px;">
            <?php if (logado()) { ?>
            <!-- input type="radio" name="preco" checked="checked" value="<?php // echo $produto->preco; ?>"> R$ -->
            <?php //echo money($produto->preco); ?>
            <!-- PREÇO ORIGINAL -->
            <?php } else { ?>
            <a href="entrar.php">Ver preço</a>
            <?php } ?>
            </b> <br />
            <?php
                            if (logado()):
                                $cliente = $obClientes->loadByID($_SESSION[PREFIX.'CLIENTE_ID']);
                                $uf = $cliente->uf;
                                if ($produto->$uf != 0):
                                    ?>
            <span style="font-weight:bold; font-size: 14px; color:#999;">Preço unitário: R$
            <?php $precounitario = money($produto->$uf); echo $precounitario; ?>
            <br />
            <br />
            Caixa com 12 pares:</span><br />
            <b style="font-family:Arial, Helvetica, sans-serif;color: #f16063;font-size: 35px;">
            <input type="radio" checked="checked" name="preco" value="<?php echo $produto->$uf; ?>">
            R$
            <?php $somacaixa = ($produto->$uf * 12.00); echo number_format($somacaixa,2,",","."); ?>
            </b> *Em at&eacute; 12x no cart&atilde;o.
            <?php
                                endif;
                            endif;
                            ?>
            <br />
            <!-- <input type="hidden" name="preco" value="<?php //echo (logado()) ? $produto->preco : '';      ?>"> --> 
            <br />
            <span style="font-weight:bold; font-size: 14px; color:#999;">Clique na foto abaixo e selecione a cor desejada.</span> <br />
            Cor Selecionada: <span id="corNome" style="font-weight: bold;"><?php echo $cores[0]->cor; ?></span><br />
            <div id="cores" style="display: table;">
              <?php foreach ($cores as $cor): ?>
              <div style="border: 1px solid #EEE; padding: 1px; float: left; margin: 10px 10px 10px 0px;"> <a onclick="atualizaCor(<?php echo $produto->id; ?>, <?php echo $cor->id; ?>, '<?php echo $cor->cor; ?>', '<?php echo PATH_WWW_GALERIAS."/{$produto->id}/550x300/{$cor->imagem}"; ?>');" href="javascript:void(0);"><img src="<?php echo PATH_WWW_GALERIAS."/{$produto->id}/100x54/{$cor->imagem}"; ?>" width="70" alt="<?php echo $cor->cor; ?>" title="<?php echo $cor->cor; ?>" /></a> </div>
              <?php endforeach; ?>
            </div>
            <br />
            <span style="font-weight:bold; font-size: 14px; color:#999;">Numeração que vai na caixa com 12 pares:</span><br />
            <?php
                            if ($gradesProdutos):
                                ?>
            <style>
                                    table#tableGrade  tr th {
                                        padding: 5px;
                                    }
                                    td {
                                        padding: 10px;
                                    }
                                </style>
            <table>
              <?php
                                    foreach ($gradesProdutos as $gradeProduto):
                                        $grade = $obGrades->loadByID($gradeProduto->grade_id);
                                        $numeracao = ($grade->tipo == 'FECHADA') ? $obGradesItens->getNumeracao($gradeProduto->grade_id) : $obGradesItens->retrieveAll(" grade_id = {$gradeProduto->grade_id} ");
                                        ?>
              <tr>
                <td valign="middle"><input name="grade_id" type="radio" value="<?php echo $gradeProduto->grade_id; ?>" checked="checked"></td>
                <td><?php echo $grade->nomeGrade; ?><br />
                  <?php
                                                if ($grade->tipo == 'FECHADA') {
                                                    echo $numeracao.'<br />';
                                                    ?>
                  Quantidade de caixas:
                  <input type="text" name="grade[<?php echo $gradeProduto->grade_id; ?>][quantidade]" style="width: 20px;" value="1">
                  
                  <!--<input id="spinner" name="grade[<?php echo $gradeProduto->grade_id; ?>][quantidade]" value="9">--> 
                  <script>
                                            $("#spinner").spinner({
                                                min: 9,
                                                step: 3,
                                                start: 9
                                            });
                                                    </script>
                  <?php
                                                } else {
                                                    ?>
                  <table style="background: #EEE; border: 5px solid #EEE;" id="tableGrade">
                    <tr>
                      <?php foreach ($numeracao as $n): ?>
                      <th align="center"><?php echo $n->numero; ?></th>
                      <?php endforeach; ?>
                    </tr>
                    <tr>
                      <?php foreach ($numeracao as $n): ?>
                      <td style="padding: 5px;" align="center"><input type="text" name="grade[<?php echo $gradeProduto->grade_id; ?>][quantidade][<?php echo $n->numero ?>]" style="width: 30px; padding: 0px; margin: 0px;"></td>
                      <?php endforeach; ?>
                    </tr>
                  </table>
                  <?php
                                                }
                                                ?></td>
              </tr>
              <?php
                                    endforeach;
                                    ?>
            </table>
            <?php
                            endif;
                            ?>
            <br />
            <div id="msgBox"></div>
          </div>
        </form>
      </div>
      <br />
      
      <!--  Se existir registros -->
      <?php
                if (isset($_SESSION[PREFIX.'PEDIDO'])):
                    $totalPedidoValor = 0;
                    getSacola($_SESSION[PREFIX.'PEDIDO'], true);
                endif;
                ?>
    </div>
  </div>
</div>
<?php
}
rodape();
?>
