<?php
require_once 'include/functions.php';
$obUsuarios = new Usuarios();
$obClientes = new Clientes();
$id = (isset($_GET['id'])) ? $_GET['id'] : '';
$action = (isset($_GET['action'])) ? $_GET['action'] : '';
$function = (isset($_GET['function'])) ? $_GET['function'] : '';
cabecalho();
?>
<div class="mainContent">
    <div id="form_cadastro_completo">
        <h1>Gerenciar empresas</h1>
        <a href="empresas.php">Listar empresas</a> - <a href="empresas.php?function=new">Adicionar empresas</a><br /><br />
        <div class="user_register">
            <?php
            if ($action == 'adicionar') {
                $obClientes = new Clientes();
                $campos = $obClientes->getVarsFromTable();
                $camposObrigatorios = $obClientes->getFieldsRequiredFromTable();
                $erro = 0;
                $dados = '';
                foreach ($_POST as $key=> $value) {
                    if ($value != '') {
                        if (is_array($value)) {
                            foreach ($value as $key2=> $value2) {
                                $dados[$key][$key2] = $value2;
                            }
                        } else if (in_array(substr($key, 0, 5), array('email'))) {
                            $dados[$key] = trim(mb_strtolower(utf8_decode($value)));
                        } else {
                            $dados[$key] = trim(utf8_decode($value));
                        }
                    }
                }
                foreach ($camposObrigatorios as $campo) {
                    if (!key_exists($campo, $dados)) {
                        $erro = '<div class="alert alert-error">Preencha os campos obrigatrios (*)</div>';
                        ;
                    }
                }
                if (isCnpj($dados['CPF_CNPJ'])) {
                    $erro = '<div class="alert alert-error">CNPJ invlido!</div>';
                }
                if ($erro != 0) {
                    echo $erro;
                } else {
                    $email = $obClientes->retrieveAll(" email = '{$dados['email']}'");
                    $cpf_cnpj = $obClientes->retrieveAll(" CPF_CNPJ = '{$dados['CPF_CNPJ']}' ");
                    if ($email) {
                        echo '<div class="alert alert-error">Digite um novo e-mail diferente do que voc j est utilizando.</div>';
                    } else if ($cpf_cnpj) {
                        echo '<div class="alert alert-error">Este CPF/CNPJ j est sendo utilizado.</div>';
                    } else {
                        foreach ($campos as $campo) {
                            if ($campo != 'id') {
                                if (isset($_POST[$campo]))
                                    $obClientes->$campo = $_POST[$campo];
                            }
                        }

                        if ($obClientes->insertDB()) {
                            echo 'Redirecionando...';
                            echo '<script> document.location = "'.PATH_WWW.'/empresas.php"; </script>';
                            exit;
                        } else {
                            echo '<div class="alert alert-error">Erro ao efetuar o cadastro, tente mais tarde.</div>';
                        }
                    }
                }
                /* $obClientes = new Clientes();
                  $obClientes->nome = (isset($_POST['nome']) ? $_POST['nome'] : '');
                  $obClientes->CPF_CNPJ = (isset($_POST['CPF_CNPJ']) ? $_POST['CPF_CNPJ'] : '');
                  $obClientes->RG_INSCRICAO = (isset($_POST['RG_INSCRICAO']) ? $_POST['RG_INSCRICAO'] : '');
                  $obClientes->telefone = (isset($_POST['telefone']) ? $_POST['telefone'] : '');
                  $obClientes->cep = (isset($_POST['cep']) ? $_POST['cep'] : '');
                  $obClientes->endereco = (isset($_POST['endereco']) ? $_POST['endereco'] : '');
                  $obClientes->bairro = (isset($_POST['bairro']) ? $_POST['bairro'] : '');
                  $obClientes->cidade = (isset($_POST['cidade']) ? $_POST['cidade'] : '');
                  $obClientes->uf = (isset($_POST['uf']) ? $_POST['uf'] : '');
                  $obClientes->id_pai = (isset($_POST['id_pai']) ? $_POST['id_pai'] : '');

                  if ($obClientes->insertDB(true)) {
                  echo 'Redirecionando...';
                  echo '<script> document.location = "'.PATH_WWW.'/home.php"; </script>';
                  exit;
                  } else {
                  echo '<div class="alert alert-error">Erro ao atualizar o cadastro, tente mais tarde.</div>';
                  } */
            } else if ($action == 'editar') {
                $obClientes = new Clientes();
                $cliente = $obClientes->loadByID($_POST['id']);
                $campos = $obClientes->getVarsFromTable();
                $camposObrigatorios = $obClientes->getFieldsRequiredFromTable();
                $erro = 0;
                $dados = '';
                foreach ($_POST as $key=> $value) {
                    if ($value != '') {
                        if (is_array($value)) {
                            foreach ($value as $key2=> $value2) {
                                $dados[$key][$key2] = $value2;
                            }
                        } else if (in_array(substr($key, 0, 5), array('email'))) {
                            $dados[$key] = trim(mb_strtolower(utf8_decode($value)));
                        } else {
                            $dados[$key] = trim(utf8_decode($value));
                        }
                    }
                }
                foreach ($camposObrigatorios as $campo) {
                    if (!key_exists($campo, $dados)) {
                        $erro = '<div class="alert alert-error">Preencha os campos obrigatrios (*)</div>';
                        ;
                    }
                }
                if (isCnpj($dados['CPF_CNPJ'])) {
                    $erro = '<div class="alert alert-error">CNPJ invlido!</div>';
                }
                if ($erro != 0) {
                    echo $erro;
                } else {
                    foreach ($campos as $campo) {
                        if ($campo != 'id') {
                            if (isset($_POST[$campo]))
                                $cliente->$campo = $_POST[$campo];
                        }
                    }
                    if ($cliente->updateDB()) {
                        echo 'Redirecionando...';
                        echo '<script> document.location = "'.PATH_WWW.'/empresas.php"; </script>';
                        exit;
                    } else {
                        echo '<div class="alert alert-error">Erro ao atualizar o cadastro, tente mais tarde.</div>';
                    }
                }
            } else if ($function == 'new') {
                //if ($cliente->id_pai == $_SESSION[PREFIX.'CLIENTE_ID'] or $id == '') {
                ?>
                <span style="color:#F00; font-weight:bold;">* Campos de preenchimento obrigatrio</span><br />
                <form action="<?php echo $_SERVER['PHP_SELF']; ?>?action=adicionar" method="post">
                    <input name="status" value="1" type="hidden">
                    <!--<input name="id" value="<?php echo $cliente->id; ?>" type="hidden">-->
                    <input name="id_pai" value="<?php echo $_SESSION[PREFIX.'CLIENTE_ID']; ?>" type="hidden">
                    <div class="cadastro-dados-endereco">
                        <div class="left form-horizontal form_pessoal block">
                            <div class="head-title"><strong>Dados</strong></div>
                            <div class="container cadastro-dados-pessoais">
                                <div class="control-group "><label for="nome" class="control-label" style="color:#F00; font-weight:bold;">* Nome da Loja + Seu Nome Completo:</label>
                                    <div class="controls"><input id="id_nome" type="text" class="input-big" name="nome" value="<?php echo $cliente->nome; ?>" maxlength="128" /></div>
                                </div>
                                <div class="control-group ">
                                    <label for="cpf" class="control-label" style="color:#F00; font-weight:bold;">* Novo CNPJ ou CPF:</label>
                                    <div class="controls"><input id="id_cpf_cnpj" type="text" class="input-medium" name="CPF_CNPJ" value="<?php echo $cliente->CPF_CNPJ; ?>" maxlength="14" placeholder="__.___.___/____-__" /></div>
                                </div>
                                <div class="control-group ">
                                    <label for="rg" class="control-label">R.G. / I.E.:</label>
                                    <div class="controls"><input id="id_rg" type="text" class="input-medium" name="RG_INSCRICAO" value="<?php echo $cliente->RG_INSCRICAO; ?>" maxlength="20" /></div>
                                </div>
                                <div class="control-group ">
                                    <label for="telefone_principal" class="control-label" style="color:#F00; font-weight:bold;">* Telefone:</label>
                                    <div class="controls"><input id="id_telefone_principal" type="text" class="input-small" name="telefone" value="<?php echo $cliente->telefone; ?>" /></div>
                                </div>
                                <div class="control-group ">
                                    <label for="email" class="control-label" style="color:#F00; font-weight:bold;">* Outro E-mail:</label>
                                    <div class="controls"><input id="id_email" type="text" name="email" value="<?php echo (isset($_GET['email'])) ? $_GET['email'] : ''; ?>" maxlength="128" /></div>
                                </div>
                            </div>
                        </div>
                        <div class="form-horizontal form_endereco right block">
                            <div class="head-title"><strong>Endereo</strong></div>
                            <div class="container cadastro-endereco">
                                <div class="control-group ">
                                    <label for="cep" class="control-label" style="color:#F00; font-weight:bold;">* CEP:</label>
                                    <div class="controls"><input id="id_cep" type="text" class="input-small" name="cep" value="<?php echo $cliente->cep; ?>" /></div>
                                </div>
                                <div class="control-group ">
                                    <label for="endereco" class="control-label" style="color:#F00; font-weight:bold;">* Endereo:</label>
                                    <div class="controls"><input id="id_endereco" type="text" name="endereco" value="<?php echo $cliente->endereco; ?>" maxlength="255" /></div>
                                </div>
                                <div class="control-group ">
                                    <label for="bairro" class="control-label" style="color:#F00; font-weight:bold;">* Bairro:</label>
                                    <div class="controls"><input id="id_bairro" type="text" class="input-medium" name="bairro" value="<?php echo $cliente->bairro; ?>" maxlength="128" /></div>
                                </div>
                                <div class="control-group ">
                                    <label for="cidade" class="control-label" style="color:#F00; font-weight:bold;">* Cidade:</label>
                                    <div class="controls"><input id="id_cidade" type="text" class="input-medium" name="cidade" value="<?php echo $cliente->cidade; ?>" maxlength="128" /></div>
                                </div>
                                <div class="control-group ">
                                    <label for="estado" class="control-label" style="color:#F00; font-weight:bold;">* Estado:</label>
                                    <div class="controls">
                                        <select name="uf" id="id_estado">
                                            <option value="AC" <?php if ($cliente->uf == 'AC') echo 'selected="selected"'; ?>>Acre</option>
                                            <option value="AL" <?php if ($cliente->uf == 'AL') echo 'selected="selected"'; ?>>Alagoas</option>
                                            <option value="AP" <?php if ($cliente->uf == 'AP') echo 'selected="selected"'; ?>>Amap</option>
                                            <option value="AM" <?php if ($cliente->uf == 'AM') echo 'selected="selected"'; ?>>Amazonas</option>
                                            <option value="BA" <?php if ($cliente->uf == 'BA') echo 'selected="selected"'; ?>>Bahia</option>
                                            <option value="CE" <?php if ($cliente->uf == 'CE') echo 'selected="selected"'; ?>>Cear</option>
                                            <option value="DF" <?php if ($cliente->uf == 'DF') echo 'selected="selected"'; ?>>Distrito Federal</option>
                                            <option value="ES" <?php if ($cliente->uf == 'ES') echo 'selected="selected"'; ?>>Esprito Santo</option>
                                            <option value="GO" <?php if ($cliente->uf == 'GO') echo 'selected="selected"'; ?>>Gois</option>
                                            <option value="MA" <?php if ($cliente->uf == 'MA') echo 'selected="selected"'; ?>>Maranho</option>
                                            <option value="MT" <?php if ($cliente->uf == 'MT') echo 'selected="selected"'; ?>>Mato Grosso</option>
                                            <option value="MS" <?php if ($cliente->uf == 'MS') echo 'selected="selected"'; ?>>Mato Grosso do Sul</option>
                                            <option value="MG" <?php if ($cliente->uf == 'MG') echo 'selected="selected"'; ?>>Minas Gerais</option>
                                            <option value="PA" <?php if ($cliente->uf == 'PA') echo 'selected="selected"'; ?>>Par</option>
                                            <option value="PB" <?php if ($cliente->uf == 'PB') echo 'selected="selected"'; ?>>Paraba</option>
                                            <option value="PR" <?php if ($cliente->uf == 'PR') echo 'selected="selected"'; ?>>Paran</option>
                                            <option value="PE" <?php if ($cliente->uf == 'PE') echo 'selected="selected"'; ?>>Pernambuco</option>
                                            <option value="PI" <?php if ($cliente->uf == 'PI') echo 'selected="selected"'; ?>>Piau</option>
                                            <option value="RJ" <?php if ($cliente->uf == 'RJ') echo 'selected="selected"'; ?>>Rio de Janeiro</option>
                                            <option value="RN" <?php if ($cliente->uf == 'RN') echo 'selected="selected"'; ?>>Rio Grande do Norte</option>
                                            <option value="RS" <?php if ($cliente->uf == 'RS') echo 'selected="selected"'; ?>>Rio Grande do Sul</option>
                                            <option value="RO" <?php if ($cliente->uf == 'RO') echo 'selected="selected"'; ?>>Rondnia</option>
                                            <option value="RR" <?php if ($cliente->uf == 'RR') echo 'selected="selected"'; ?>>Roraima</option>
                                            <option value="SC" <?php if ($cliente->uf == 'SC') echo 'selected="selected"'; ?>>Santa Catarina</option>
                                            <option value="SP" <?php if ($cliente->uf == 'SP') echo 'selected="selected"'; ?>>So Paulo</option>
                                            <option value="SE" <?php if ($cliente->uf == 'SE') echo 'selected="selected"'; ?>>Sergipe</option>
                                            <option value="TO" <?php if ($cliente->uf == 'TO') echo 'selected="selected"'; ?>>Tocantins</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="cadastro-dados-endereco">
                        <div class="left form-horizontal form_pessoal block">
                            <div class="head-title"><strong>Dados</strong></div>
                            <div class="container cadastro-dados-pessoais">
                                <input name="distribuicao" type="checkbox" value="1" <?php
                                if ($cliente->distribuicao == 1) {
                                    echo 'checked';
                                }
                                ?> style="margin-left: 10px;">Tem distribuio?</input>
                                <input name="etiqueta_u" type="checkbox" value="1" <?php
                                if ($cliente->etiqueta_u == 1) {
                                    echo 'checked';
                                }
                                ?> style="margin-left: 10px;">Tem etiqueta unitria?</input>
                                <input name="etiqueta_c" type="checkbox" value="1" <?php
                                if ($cliente->etiqueta_c == 1) {
                                    echo 'checked';
                                }
                                ?> style="margin-left: 10px;">Tem etiqueta coletiva?</input>
                            </div>
                        </div>
                    </div>

            <div>
                <div class="pull-right">
                    <button type="submit" class="btn btn-primary btn-medium">Atualizar conta</button>
                </div>
            </div>
            </form>
        </div>
        <?php
        /* } else {
          echo "<script>alert(\"Informaes indisponveis!\");
          window.history.go(-1);
          </script>";
          } */
    } else if ($function == 'edit' and isset($_GET['id'])) {
        $id = $_GET['id'];
        $cliente = $obClientes->loadByID($id);
        ?>
        <form action="<?php echo $_SERVER['PHP_SELF']; ?>?action=editar" method="post">
            <input name="status" value="1" type="hidden">
            <input name="id" value="<?php echo $cliente->id; ?>" type="hidden">
            <input name="id_pai" value="<?php echo $_SESSION[PREFIX.'CLIENTE_ID']; ?>" type="hidden">
            <div class="cadastro-dados-endereco">
                <div class="left form-horizontal form_pessoal block">
                    <div class="head-title"><strong>Dados</strong></div>
                    <div class="container cadastro-dados-pessoais">
                        <div class="control-group "><label for="nome" class="control-label">* Nome / Razo Social:</label>
                            <div class="controls"><input id="id_nome" type="text" class="input-big" name="nome" value="<?php echo $cliente->nome; ?>" maxlength="128" /></div>
                        </div>
                        <div class="control-group ">
                            <label for="cpf" class="control-label">* CNPJ:</label>
                            <div class="controls"><input id="id_cpf_cnpj" type="text" class="input-medium" name="CPF_CNPJ" value="<?php echo $cliente->CPF_CNPJ; ?>" maxlength="14" placeholder="__.___.___/____-__" /></div>
                        </div>
                        <div class="control-group ">
                            <label for="rg" class="control-label">R.G. / I.E.:</label>
                            <div class="controls"><input id="id_rg" type="text" class="input-medium" name="RG_INSCRICAO" value="<?php echo $cliente->RG_INSCRICAO; ?>" maxlength="20" /></div>
                        </div>
                        <div class="control-group ">
                            <label for="telefone_principal" class="control-label" >* Telefone:</label>
                            <div class="controls"><input id="id_telefone_principal" type="text" class="input-small" name="telefone" value="<?php echo $cliente->telefone; ?>" /></div>
                        </div>
                        <div class="control-group ">
                            <label for="email" class="control-label">E-mail:</label>
                            <div class="controls"><input id="id_email" type="text" name="email" value="<?php echo $cliente->email; ?>" maxlength="128" /></div>
                        </div>
                    </div>
                </div>
                <div class="form-horizontal form_endereco right block">
                    <div class="head-title"><strong>Endereo</strong></div>
                    <div class="container cadastro-endereco">
                        <div class="control-group ">
                            <label for="cep" class="control-label">* CEP:</label>
                            <div class="controls"><input id="id_cep" type="text" class="input-small" name="cep" value="<?php echo $cliente->cep; ?>" /></div>
                        </div>
                        <div class="control-group ">
                            <label for="endereco" class="control-label">* Endereo:</label>
                            <div class="controls"><input id="id_endereco" type="text" name="endereco" value="<?php echo $cliente->endereco; ?>" maxlength="255" /></div>
                        </div>
                        <div class="control-group ">
                            <label for="bairro" class="control-label">* Bairro:</label>
                            <div class="controls"><input id="id_bairro" type="text" class="input-medium" name="bairro" value="<?php echo $cliente->bairro; ?>" maxlength="128" /></div>
                        </div>
                        <div class="control-group ">
                            <label for="cidade" class="control-label">* Cidade:</label>
                            <div class="controls"><input id="id_cidade" type="text" class="input-medium" name="cidade" value="<?php echo $cliente->cidade; ?>" maxlength="128" /></div>
                        </div>
                        <div class="control-group ">
                            <label for="estado" class="control-label">* Estado:</label>
                            <div class="controls">
                                <select name="uf" id="id_estado">
                                    <option value="AC" <?php if ($cliente->uf == 'AC') echo 'selected="selected"'; ?>>Acre</option>
                                    <option value="AL" <?php if ($cliente->uf == 'AL') echo 'selected="selected"'; ?>>Alagoas</option>
                                    <option value="AP" <?php if ($cliente->uf == 'AP') echo 'selected="selected"'; ?>>Amap</option>
                                    <option value="AM" <?php if ($cliente->uf == 'AM') echo 'selected="selected"'; ?>>Amazonas</option>
                                    <option value="BA" <?php if ($cliente->uf == 'BA') echo 'selected="selected"'; ?>>Bahia</option>
                                    <option value="CE" <?php if ($cliente->uf == 'CE') echo 'selected="selected"'; ?>>Cear</option>
                                    <option value="DF" <?php if ($cliente->uf == 'DF') echo 'selected="selected"'; ?>>Distrito Federal</option>
                                    <option value="ES" <?php if ($cliente->uf == 'ES') echo 'selected="selected"'; ?>>Esprito Santo</option>
                                    <option value="GO" <?php if ($cliente->uf == 'GO') echo 'selected="selected"'; ?>>Gois</option>
                                    <option value="MA" <?php if ($cliente->uf == 'MA') echo 'selected="selected"'; ?>>Maranho</option>
                                    <option value="MT" <?php if ($cliente->uf == 'MT') echo 'selected="selected"'; ?>>Mato Grosso</option>
                                    <option value="MS" <?php if ($cliente->uf == 'MS') echo 'selected="selected"'; ?>>Mato Grosso do Sul</option>
                                    <option value="MG" <?php if ($cliente->uf == 'MG') echo 'selected="selected"'; ?>>Minas Gerais</option>
                                    <option value="PA" <?php if ($cliente->uf == 'PA') echo 'selected="selected"'; ?>>Par</option>
                                    <option value="PB" <?php if ($cliente->uf == 'PB') echo 'selected="selected"'; ?>>Paraba</option>
                                    <option value="PR" <?php if ($cliente->uf == 'PR') echo 'selected="selected"'; ?>>Paran</option>
                                    <option value="PE" <?php if ($cliente->uf == 'PE') echo 'selected="selected"'; ?>>Pernambuco</option>
                                    <option value="PI" <?php if ($cliente->uf == 'PI') echo 'selected="selected"'; ?>>Piau</option>
                                    <option value="RJ" <?php if ($cliente->uf == 'RJ') echo 'selected="selected"'; ?>>Rio de Janeiro</option>
                                    <option value="RN" <?php if ($cliente->uf == 'RN') echo 'selected="selected"'; ?>>Rio Grande do Norte</option>
                                    <option value="RS" <?php if ($cliente->uf == 'RS') echo 'selected="selected"'; ?>>Rio Grande do Sul</option>
                                    <option value="RO" <?php if ($cliente->uf == 'RO') echo 'selected="selected"'; ?>>Rondnia</option>
                                    <option value="RR" <?php if ($cliente->uf == 'RR') echo 'selected="selected"'; ?>>Roraima</option>
                                    <option value="SC" <?php if ($cliente->uf == 'SC') echo 'selected="selected"'; ?>>Santa Catarina</option>
                                    <option value="SP" <?php if ($cliente->uf == 'SP') echo 'selected="selected"'; ?>>So Paulo</option>
                                    <option value="SE" <?php if ($cliente->uf == 'SE') echo 'selected="selected"'; ?>>Sergipe</option>
                                    <option value="TO" <?php if ($cliente->uf == 'TO') echo 'selected="selected"'; ?>>Tocantins</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="cadastro-dados-endereco">
                <div class="left form-horizontal form_pessoal block">
                    <div class="head-title"><strong>Dados</strong></div>
                    <div class="container cadastro-dados-pessoais">
                        <input name="distribuicao" type="checkbox" value="1" <?php
                        if ($cliente->distribuicao == 1) {
                            echo 'checked';
                        }
                        ?> style="margin-left: 10px;">Tem distribuio?</input>
                        <input name="etiqueta_u" type="checkbox" value="1" <?php
                        if ($cliente->etiqueta_u == 1) {
                            echo 'checked';
                        }
                        ?> style="margin-left: 10px;">Tem etiqueta unitria?</input>
                        <input name="etiqueta_c" type="checkbox" value="1" <?php
                        if ($cliente->etiqueta_c == 1) {
                            echo 'checked';
                        }
                        ?> style="margin-left: 10px;">Tem etiqueta coletiva?</input>
                    </div>
                </div>
            </div>
    <div>
        <div class="pull-right">
            <button type="submit" class="btn btn-primary btn-medium">Atualizar conta</button>
        </div>
    </div>
    </form>
    </div>
    <?php
} else {
    ?>
    <div class="form-vertical block">
        <div class="head-title"><strong>Empresas cadastradas</strong></div>
        <div class="container cadastro-dados-para-acesso">
            <table>
                <thead>
                    <tr>
                        <td>ID</td>
                        <td>CNPJ</td>
                        <td>Endereo</td>
                        <td>Bairro</td>
                        <td>Cidade - UF</td>
                        <td>CEP</td>
                        <td></td>
                        <td colspan="2" style="text-align: center;">Funes</td>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    $empresas = $obClientes->retrieveByQuery("select id, id_pai, CPF_CNPJ, endereco, bairro, cidade, uf, cep from clientes where id = {$_SESSION[PREFIX.'CLIENTE_ID']} or id_pai = {$_SESSION[PREFIX.'CLIENTE_ID']}");
                    foreach ($empresas as $key) {
                        ?>
                        <tr>
                            <td>
                                <?php
                                echo $key->id;
                                ?>
                            </td>
                            <td>
                                <?php
                                echo $key->CPF_CNPJ;
                                ?>
                            </td>
                            <td>
                                <?php
                                echo $key->endereco;
                                ?>
                            </td>
                            <td>
                                <?php
                                echo $key->bairro;
                                ?>
                            </td>
                            <td>
                                <?php
                                echo $key->cidade.' - '.$key->uf;
                                ?>
                            </td>
                            <td>
                                <?php
                                echo $key->cep;
                                ?>
                            </td>
                            <td>
                                <input type="radio" <?php
                                if (is_null($key->id_pai)) {
                                    echo 'checked';
                                };
                                ?> disabled>
                            </td>
                            <td>
                                <a href="?function=edit&id=<?php echo $key->id; ?>">Editar</a>
                            </td>
                            <td>
                                <a href="#excluir">Excluir</a>
                            </td>
                        </tr>
                        <?php
                    }
                    ?>
                </tbody>
            </table>
            <!--<div class="control-group ">
                    <label for="email" class="control-label"><i class="icon-envelope"></i> E-mail:</label>
                    <div class="controls"><input id="id_email" type="text" name="email" value="<?php echo $cliente->email; ?>" maxlength="128" /></div>
            </div>
            <div class="control-group ">
                    <label for="senha" class="control-label"><i class="icon-lock"></i> Senha:</label>
                    <div class="controls"><input id="id_senha" type="password" name="senha" maxlength="32" value="<?php echo $cliente->senha; ?>" /></div>
            </div>-->
        </div>
    </div>
    <?php
}
rodape();
?>